function showLoginMode() { }
function showInitialMode() { }

const platformType = document.getElementById("platform_type").innerText;
const primeMemberState = document.getElementById("prime_member_state").innerText;

function setPrice(itemId, state, priceString) {
	if ((itemId != 1 && itemId != 2) || state <= 0) { return; }
	if (itemId == 1 && platformType == "3") {
		itemId = 2;
	}
	if (state <= 1) {
		const element = document.getElementById((itemId != 2) ? "yearly_price" : "monthly_price");
		const formatString = document.getElementById((itemId != 2) ? "yearly_format" : "monthly_format").innerText;
		element.innerHTML = formatString.replace("%%PRICE%%", priceString);
	} else {
		const element = document.getElementById("error_message_" + itemId);
		element.innerHTML = priceString;
	}
}

var priceMonthly = 0.0;
var priceYearly = 0.0;
function setPriceValue(itemId, price) {
	if (itemId != 1 && itemId != 2 || platformType == '3') { return; }
	if (itemId == 1) {
		priceYearly = price;
	} else if (itemId == 2) {
		priceMonthly = price;
		const twelveMonths = priceMonthly * 12;
		let saveMonths = (twelveMonths - priceYearly) / priceMonthly;
		function round(value, digit) {
			return Math.round(value * Math.pow(10, digit)) / Math.pow(10, digit);
		}
		saveMonths = round(saveMonths, 1);
		if (Number.isInteger(saveMonths)) {
			saveMonths = Math.floor(saveMonths);
		}
		const element = document.getElementById("discount_txt");
		const formatString = document.getElementById("discount_format").innerText;
		element.innerText = formatString.replace("%%PRICE%%", saveMonths);
	}
}

function formatPrice(index, state, priceString) { }

function setFreeTrialPeriod(itemId, trialPeriodNumber, isMonth) {
	if ((itemId != 1 && itemId != 2) || primeMemberState != 0) {
		return;
	}
	if (itemId == 1 && platformType == "3") {
		itemId = 2;
	}
	var key = (isMonth) ? "free_trial_month" : "free_trial_day";
	if (trialPeriodNumber > 1) {
		key += "s";
	}
	const trialFormatStr = document.getElementById(key).innerText;
	const trialElement = document.getElementById((itemId == 1) ? "NENGAKU_free_trial_txt" : "GETSUGAKU_free_trial_txt");
	trialElement.innerText = trialFormatStr.replace("%%PERIOD%%", trialPeriodNumber);
}

function changeButtonsState(isDisable) {
	const purchaseBtn1 = document.getElementById("install_link_1");
	const purchaseBtn2 = document.getElementById("install_link_2");
	const boxes = document.getElementsByClassName("not_allowed_box");
	function changeDisable(element) {
		if (!element) {
			return;
		}
		if (isDisable) {
			element.classList.add("disabled");
		} else {
			element.classList.remove("disabled");
		}
	}
	changeDisable(purchaseBtn1);
	changeDisable(purchaseBtn2);
	for (var i = 0; i < boxes.length; i++) {
		changeDisable(boxes[i]);
	}
}

function informSubscribed() {
	if (primeMemberState != "1" && primeMemberState != "2") {
		return;
	}
	const subsInfo = document.getElementById("subscribed");
	const oldId = (primeMemberState == "1") ? "subscribed_monthly" : "subscribed_yearly";
	const newId = (primeMemberState == "1") ? "subscribed_monthly_plan" : "subscribed_yearly_plan";
	subsInfo.innerText = document.getElementById(oldId).innerText;
	subsInfo.setAttribute("id", newId);
}

const getting = document.getElementById("getting").innerText;
if (primeMemberState != "0") {
	document.getElementById("GETSUGAKU").style.display = "none";
	document.querySelector(".Plan_txt_box").remove();
	document.querySelector(".flex-item02").remove();
	const yearlyTextElment = document.getElementById("NENGAKU_txt");
	yearlyTextElment.innerText = document.getElementById("change_plan_txt").innerText;
	const yearlyPrice = document.getElementById("yearly_price");
	const priceFormatStr = document.getElementById("change_plan_price_format").innerText;
	const yearlyFormat = document.getElementById("yearly_format");
	yearlyFormat.innerText = priceFormatStr;
	yearlyPrice.innerText = priceFormatStr.replace("%%PRICE%%", getting);
}
const urlHash = (platformType == "1") ? "#ios"
			  : (platformType == "2") ? "#android"
			  : "#huawei";
const cancelLink = document.getElementById("cancel-link");
cancelLink.href += urlHash;
if (platformType == "3") {
	if (primeMemberState == "0"){
		document.getElementById("install_link_2").id = "install_link_1";
		const yearly = document.getElementById("NENGAKU_txt_box");
		const monthly = document.getElementById("GETSUGAKU_txt_box");
		const yearlyStyle = getComputedStyle(yearly);
		monthly.style.margin = yearlyStyle.margin;
		monthly.style.color = yearlyStyle.color;
		monthly.style.background = yearlyStyle.background;
		monthly.style.padding = yearlyStyle.padding;
		document.getElementById("monthly_price").classList.remove("orange");
		document.addEventListener("DOMContentLoaded", () => {
			const agreeCheckbox = document.getElementById("agree");
			agreeCheckbox.addEventListener("click", () => {
				if (agreeCheckbox.checked === true) {
					changeButtonsState(false);
				} else {
					changeButtonsState(true);
				}
			});
		});
	} else {
		document.getElementById("agree_checkbox").remove();
		informSubscribed();
	}
	document.getElementById("NENGAKU").remove();
} else {
	const hmsElements = document.getElementsByClassName("hms");
	for (var i = hmsElements.length - 1; i >= 0; i--) {
		hmsElements[i].remove();
	}
	changeButtonsState(false);
	if (primeMemberState == "2") {
		document.getElementById("NENGAKU").remove();
		informSubscribed();
	} else {
		if (primeMemberState == "1") {
			const yearlyBox = document.getElementById("NENGAKU_txt_box");
			yearlyBox.classList.add("sub");
			document.querySelector(".Discount_txt01").classList.add("sub");
			yearlyBox.querySelector(".GAKU_flex_box").classList.add("sub");
			yearlyBox.querySelector(".flex-item01").classList.add("sub");
			yearlyBox.querySelector(".flex-item03").classList.add("sub");
			yearlyBox.querySelector(".per").classList.add("sub");
			informSubscribed();
		}
		const element = document.getElementById("discount_txt");
		const formatString = document.getElementById("discount_format").innerText;
		element.innerText = formatString.replace("%%PRICE%%", getting);
	}
}
